#!/usr/bin/python3-dbg
# -*- coding: utf-8 -*-


from chrysacase import ChrysalideTestCase
from pychrysalide import PyConstvalObject
from pychrysalide.arch import ArchInstruction


class TestConstVal(ChrysalideTestCase):
    """TestCase for PyConstvalObject."""


    def testGI(self):
        """Validate the PyConstvalObject implementation."""

        with self.assertRaises(RuntimeError):
            cv = PyConstvalObject()

        self.assertEqual(ArchInstruction.ILT_JUMP, 1)

        self.assertEqual(str(ArchInstruction.ILT_JUMP), 'ILT_JUMP')
